Package: org.apache.groovy.ginq.dsl.expression

## [Java] Class AbstractGinqExpression

- org.apache.groovy.ginq.dsl.expression.AbstractGinqExpression

- All Implemented Interfaces and Traits:
    NodeMetaDataHandler

      public abstract class AbstractGinqExpression
      extends Expression
      implements NodeMetaDataHandler

  Represents GINQ expression which could hold metadata

  Since:
    4.0.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<R>` | `public abstract R` | `accept(GinqAstVisitor<R> visitor)` Accepts a GINQ visitor.
    `` | `public Expression` | `transformExpression(ExpressionTransformer transformer)` Returns this expression because GINQ expressions are transformed elsewhere.
    `` | `public void` | `visit(GroovyCodeVisitor visitor)` Does nothing because GINQ expressions are visited through GinqAstVisitor.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Method Detail

    - #### <R> public abstract R accept(GinqAstVisitor<R> visitor)

      Accepts a GINQ visitor.

      Parameters:
        `visitor` - the visitor to accept
      Type Parameters:
        `R` - the visit result type
      Returns:
        the visit result

    - #### public Expression transformExpression(ExpressionTransformer transformer)

      Returns this expression because GINQ expressions are transformed elsewhere.

      Parameters:
        `transformer` - the transformer requesting the change
      Returns:
        this expression

    - #### public void visit(GroovyCodeVisitor visitor)

      Does nothing because GINQ expressions are visited through GinqAstVisitor.

      Parameters:
        `visitor` - the Groovy code visitor